@font-face {
    font-family: 'CarNumber';
    src: url('number.woff2') format('woff2'),
    url('number.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

body {
    font-family: 'Montserrat', sans-serif;
}

.wash_board_wrap {
    background-image: url("./bg.jpg");
    position: fixed;
    //position: relative;
    height: 100%;
    background-size: cover;
    background-position: center;
    width: 100%;


    .wb_body {
        .wb_row {
            display: flex;
            align-items: center;
            height: 243px;
            border-bottom: 20px solid #fff;
            .col_1 {
                width: 400px;
                border-right: 3px solid #fff;
                //border-bottom: 3px solid #fff;
                flex-direction: column;
                .where_key_box {
                    height: 50%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    .key {
                        font-size: 47px;
                        font-weight: bold;
                        text-align: center;
                        line-height: 42px;
                        margin-top: -20px;
                    }
                }
                .number_box {
                    height: 50%;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    .car_number {
                        color: #222;
                        //width: 290px;
                        //height: 60px;
                        width: 360px;
                        height: 80px;
                        border: 4px solid #222;
                        border-radius: 7px;
                        display: flex;
                        align-items: center;
                        font-family: "CarNumber", sans-serif;
                        //box-shadow: 0 1px 3px 0 rgb(0 0 0 / 70%);
                        justify-content: space-between;
                        margin-top: 5px;

                        /* KAZ White Number */
                        &.kz_white {
                            background-color: #fff;
                            box-shadow: 0 0 0 3px #fff;

                            .num_img {
                                display: flex;
                                flex-direction: column;
                                font-size: 31px;
                                text-align: center;
                                padding: 0 0 0 4px;

                                .kaz_flag {
                                    background-image: url("kaz.png");
                                    display: block;
                                    width: 33px;
                                    height: 23px;
                                    background-size: contain;
                                    background-repeat: no-repeat;
                                    margin: 0px 0 0px 1px;
                                    background-position: center;
                                }

                                & > span {
                                    line-height: 30px;
                                    margin: 5px 0 -6px 0;
                                }
                            }

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0;
                                letter-spacing: -2px;
                            }

                            .num_letters {
                                font-size: 59px;
                                line-height: 0;
                                padding: 18px 5px 0px 0px;
                                letter-spacing: -3px;
                            }

                            .num_region {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 10px 0px 0px 0px;
                                letter-spacing: -4px;
                                border-left: 3px solid #000;
                                height: 100%;
                                width: 87px;
                                text-align: center;
                            }
                        }

                        /* VIN Number*/
                        &.vin {
                            background-color: #fff;
                            box-shadow: 0 0 0 3px #fff;

                            .num_img {
                                i {
                                    font-size: 55px;
                                    line-height: 55px;
                                    padding: 0 0 0 8px;
                                    color: #666;
                                    display: block;
                                }
                            }

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0 20px 0 0;
                                letter-spacing: -2px;
                            }

                        }

                        /* KAZ Yellow */
                        &.yellow {
                            background-color: #f2c600;
                            box-shadow: 0 0 0 3px #f2c600;

                            .num_img {
                                display: flex;
                                flex-direction: column;
                                font-size: 31px;
                                text-align: center;
                                padding: 0 0 0 4px;

                                .kaz_flag {
                                    background-image: url("kaz.png");
                                    display: block;
                                    width: 33px;
                                    height: 23px;
                                    background-size: contain;
                                    background-repeat: no-repeat;
                                    margin: 0px 0 0px 1px;
                                    background-position: center;
                                }

                                & > span {
                                    line-height: 30px;
                                    margin: 5px 0 -6px 0;
                                }
                            }

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0;
                                letter-spacing: -2px;
                            }

                            .num_letters {
                                font-size: 59px;
                                line-height: 0;
                                padding: 18px 5px 0px 0px;
                                letter-spacing: -3px;
                            }

                            .num_region {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 10px 0px 0px 0px;
                                letter-spacing: -4px;
                                border-left: 3px solid #000;
                                height: 100%;
                                width: 87px;
                                text-align: center;
                            }
                        }

                        /* KAZ Not Resident */
                        &.not_resident {
                            background-color: #f2c600;
                            box-shadow: 0 0 0 3px #f2c600;

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0 20px 0 0;
                                letter-spacing: 0;
                            }

                            .num_letters {
                                font-size: 84px;
                                line-height: 0;
                                padding: 0 0 0 18px;
                                letter-spacing: -3px;
                            }
                        }

                        /* KAZ Old */
                        &.old_number {
                            background-color: #fff;
                            padding: 0 15px;
                            box-shadow: 0 0 0 3px #fff;

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0;
                                letter-spacing: -2px;
                            }
                        }

                        /* RUS White */
                        &.rus {
                            background-color: #fff;
                            padding: 0 0 0 7px;
                            box-shadow: 0 0 0 3px #fff;

                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0;
                                letter-spacing: -2px;
                            }

                            .num_letters {
                                font-size: 59px;
                                line-height: 0;
                                padding: 19px 10px 0px 8px;
                                letter-spacing: 0;
                            }

                            .num_region {
                                font-size: 50px;
                                line-height: 45px;
                                padding: 3px 4px 0px 0;
                                letter-spacing: -2px;
                                border-left: 3px solid #000;
                                height: 100%;
                                width: 80px;
                                text-align: center;
                                display: flex;
                                flex-direction: column;

                                .num_img {
                                    background-image: url("rus.png");
                                    display: block;
                                    width: 60px;
                                    height: 15px;
                                    background-size: cover;
                                    margin: 0 auto;
                                }
                            }
                        }

                        &.other {
                            background-color: #fff;
                            box-shadow: 0 0 0 3px #fff;
                            //justify-content: center;
                            .num_digits {
                                font-size: 84px;
                                line-height: 52px;
                                padding: 0;
                                letter-spacing: 0;
                                display: block;
                                width: 100%;
                                text-align: center;
                            }
                        }
                    }
                }

            }

            .col_2 {
                width: 680px;
                border-right: 3px solid #fff;

                .c2_r1 {
                    display: flex;
                    width: 100%;
                    height: 50%;
                    border-bottom: 3px solid #fff;
                    .destination {
                        width: 50%;
                        display: flex;
                        justify-content: center;
                        font-size: 55px;
                        font-weight: bold;
                        line-height: 106px;
                    }
                    .time {
                        width: 50%;
                        //border-right: 3px solid #fff;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        font-size: 85px;
                        font-weight: bold;
                        position: relative;
                        &:after {
                            content: "";
                            width: 35px;
                            height: 35px;
                            position: absolute;
                            background-size: cover;
                            right: -18px;
                            background-image: url("next.png");
                        }
                        // мастаб таймера
                        &.timer_hh_mm_ss {
                            font-size: 65px;
                        }
                    }

                    .status {
                        width: 50%;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        font-size: 35px;
                        font-weight: bold;
                    }
                }

                .c2_r2 {
                    display: flex;
                    width: 100%;
                    height: 50%;
                    justify-content: center;
                    align-items: center;
                    font-size: 50px;
                    .status {

                    }


                }
            }

            .col_1, .col_2 {
                display: flex;
                height: 100%;
                align-items: center;
                justify-content: center;

            }

            /* IN PROCESS */
            &.in_process {
                color: #159600;
            }

            &.warning {
                color: #b68900;
                position: relative;

                &:after {
                    content: '';
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    background-color: rgba(255, 230, 0, .15);
                    z-index: -1;
                }

                .col_2 {
                    .time_start {
                        animation: animationWarning 1s infinite alternate;
                    }
                }
            }

            &.expired {
                color: #B10000;
                position: relative;

                &:after {
                    content: '';
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    background-color: rgba(255, 0, 0, .1);
                    z-index: -1;
                }

                .col_2 {
                    .time_start {
                        animation: animationWarning 1s infinite alternate;
                    }
                }
            }
        }
    }
}

@keyframes animationWarning {
    from {
        transform: scale(0.8)
    }
    to {
        transform: scale(1.2)
    }
}
